Bug 236519 - KDevelop crashes at startup
Summary: KDevelop crashes at startup
Status: RESOLVED WORKSFORME
Alias: None
Product: kdelibs
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2010-05-06 09:37 UTC by Juan Ramírez Ruiz
Modified: 2018-10-27 04:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Ramírez Ruiz 2010-05-06 09:37:00 UTC
Application: kdevelop (4.0.0 (using KDevPlatform 1.0.0))
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-22-generic i686
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
When starting, KDevelop crashed. If this can help, I was opening Firefox at the same time.
Using KDevelop 4.0.0 in KDE 4.4.2 (Kubuntu 10.04).

 -- Backtrace:
Application: KDevelop (kdevelop.bin), signal: Aborted
[Current thread is 1 (Thread 0xb78aa710 (LWP 1640))]

Thread 10 (Thread 0xb4bd8b70 (LWP 1645)):
#0  0x008a2422 in __kernel_vsyscall ()
#1  0x00e34342 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x0097d9f4 in __pthread_cond_timedwait (cond=0x8c85858, mutex=0x8c85840, abstime=0xb4bd82b0) at forward.c:152
#3  0x002a620f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x038914e5 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#5  0x002a532e in ?? () from /usr/lib/libQtCore.so.4
#6  0x00e2f96e in start_thread (arg=0xb4bd8b70) at pthread_create.c:300
#7  0x00970a0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0xb41ffb70 (LWP 1647)):
#0  0x008a2422 in __kernel_vsyscall ()
#1  0x00962b86 in *__GI___poll (fds=0x9f8ff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x028864eb in g_poll () from /lib/libglib-2.0.so.0
#3  0x028790ac in ?? () from /lib/libglib-2.0.so.0
#4  0x028794b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x003d360f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x003a6059 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0x003a64aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0x002a25a8 in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0x00385c1b in ?? () from /usr/lib/libQtCore.so.4
#10 0x002a532e in ?? () from /usr/lib/libQtCore.so.4
#11 0x00e2f96e in start_thread (arg=0xb41ffb70) at pthread_create.c:300
#12 0x00970a0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0xb39feb70 (LWP 1648)):
#0  0x008a2422 in __kernel_vsyscall ()
#1  0x0097dcf3 in __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/lowlevellock.S:95
#2  0x00914697 in _L_lock_9637 () from /lib/tls/i686/cmov/libc.so.6
#3  0x00912ec6 in *__GI___libc_free (mem=0x8d07198) at malloc.c:3736
#4  0x00830741 in operator delete(void*) () from /usr/lib/libstdc++.so.6
#5  0x003d4c25 in ?? () from /usr/lib/libQtCore.so.4
#6  0x003be2ec in QObject::~QObject() () from /usr/lib/libQtCore.so.4
#7  0x00399588 in QAbstractEventDispatcher::~QAbstractEventDispatcher() () from /usr/lib/libQtCore.so.4
#8  0x003d427a in QEventDispatcherGlib::~QEventDispatcherGlib() () from /usr/lib/libQtCore.so.4
#9  0x002a4e9a in ?? () from /usr/lib/libQtCore.so.4
#10 0x002a5336 in ?? () from /usr/lib/libQtCore.so.4
#11 0x00e2f96e in start_thread (arg=0xb39feb70) at pthread_create.c:300
#12 0x00970a0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xb0dc4b70 (LWP 1657)):
#0  0x008a2422 in __kernel_vsyscall ()
#1  0x0097dcf3 in __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/lowlevellock.S:95
#2  0x00914697 in _L_lock_9637 () from /lib/tls/i686/cmov/libc.so.6
#3  0x00912ec6 in *__GI___libc_free (mem=0x8f55620) at malloc.c:3736
#4  0x0287dfc6 in g_free () from /lib/libglib-2.0.so.0
#5  0x003d4268 in QEventDispatcherGlib::~QEventDispatcherGlib() () from /usr/lib/libQtCore.so.4
#6  0x002a4e9a in ?? () from /usr/lib/libQtCore.so.4
#7  0x002a5336 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00e2f96e in start_thread (arg=0xb0dc4b70) at pthread_create.c:300
#9  0x00970a0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xaf8e2b70 (LWP 1678)):
#0  0x00e31f1c in __pthread_mutex_lock (mutex=0x92190c4) at pthread_mutex_lock.c:47
#1  0x0097db66 in pthread_mutex_lock (mutex=0x92190c4) at forward.c:182
#2  0x02878b03 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x02878ee9 in ?? () from /lib/libglib-2.0.so.0
#4  0x028794b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x003d360f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x003a6059 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0x003a64aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0x002a25a8 in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0x0398ad50 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#10 0x002a532e in ?? () from /usr/lib/libQtCore.so.4
#11 0x00e2f96e in start_thread (arg=0xaf8e2b70) at pthread_create.c:300
#12 0x00970a0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xb00e3b70 (LWP 1679)):
#0  0x02879019 in ?? () from /lib/libglib-2.0.so.0
#1  0x028794b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#2  0x003d360f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#3  0x003a6059 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x003a64aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x002a25a8 in QThread::exec() () from /usr/lib/libQtCore.so.4
#6  0x0398ad50 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#7  0x002a532e in ?? () from /usr/lib/libQtCore.so.4
#8  0x00e2f96e in start_thread (arg=0xb00e3b70) at pthread_create.c:300
#9  0x00970a0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xae821b70 (LWP 1680)):
#0  0x008a2422 in __kernel_vsyscall ()
#1  0x0097dcf3 in __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/lowlevellock.S:95
#2  0x0092d91b in _L_lock_1902 () at tzset.c:138
#3  0x0092d84e in __tzset () at tzset.c:590
#4  0x002b4022 in QDateTime::currentDateTime() () from /usr/lib/libQtCore.so.4
#5  0x06aa6331 in ?? () from /usr/lib/kde4/kdevcpplanguagesupport.so
#6  0x002a532e in ?? () from /usr/lib/libQtCore.so.4
#7  0x00e2f96e in start_thread (arg=0xae821b70) at pthread_create.c:300
#8  0x00970a0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xad345b70 (LWP 1689)):
#0  0x008a2422 in __kernel_vsyscall ()
#1  0x0097dcf3 in __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/lowlevellock.S:95
#2  0x00914697 in _L_lock_9637 () from /lib/tls/i686/cmov/libc.so.6
#3  0x00912ec6 in *__GI___libc_free (mem=0x90ddc78) at malloc.c:3736
#4  0x0092d5ec in tzset_internal (always=<value optimized out>, explicit=<value optimized out>) at tzset.c:435
#5  0x0092d85d in __tzset () at tzset.c:592
#6  0x002b3205 in ?? () from /usr/lib/libQtCore.so.4
#7  0x002b36ad in QDateTime::setTime_t(unsigned int) () from /usr/lib/libQtCore.so.4
#8  0x0037c7f6 in QFSFileEngine::fileTime(QAbstractFileEngine::FileTime) const () from /usr/lib/libQtCore.so.4
#9  0x00330ff2 in ?? () from /usr/lib/libQtCore.so.4
#10 0x00331118 in QFileInfo::lastModified() const () from /usr/lib/libQtCore.so.4
#11 0x03854ea3 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#12 0x03855022 in KDevelop::ModificationRevision::revisionForFile(KDevelop::IndexedString const&) () from /usr/lib/libkdevplatformlanguage.so.1
#13 0x038457f4 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#14 0x03845855 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#15 0x038458d3 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#16 0x03845855 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#17 0x03845855 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#18 0x038458d3 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#19 0x038458d3 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#20 0x038458d3 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#21 0x03845855 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#22 0x03845855 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#23 0x03845855 in ?? () from /usr/lib/libkdevplatformlanguage.so.1
#24 0x038459b8 in KDevelop::ModificationRevisionSet::needsUpdate() const () from /usr/lib/libkdevplatformlanguage.so.1
#25 0x038ee98a in KDevelop::ParsingEnvironmentFile::needsUpdate(KDevelop::ParsingEnvironment const*) const () from /usr/lib/libkdevplatformlanguage.so.1
#26 0x03c1e0c7 in Cpp::EnvironmentFile::needsUpdate(KDevelop::ParsingEnvironment const*) const () from /usr/lib/libkdev4cppduchain.so.4.0.0
#27 0x06ac2185 in ?? () from /usr/lib/kde4/kdevcpplanguagesupport.so
#28 0x0648349d in ThreadWeaver::JobRunHelper::runTheJob (this=0xad3451ec, th=0x91781b0, job=0x9c94568) at ../../../threadweaver/Weaver/Job.cpp:106
#29 0x06483801 in ThreadWeaver::Job::execute (this=0x9c94568, th=0x91781b0) at ../../../threadweaver/Weaver/Job.cpp:135
#30 0x064851e3 in ThreadWeaver::JobCollectionJobRunner::execute (this=0x8e7a5b8, t=0x91781b0) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#31 0x06485b58 in ThreadWeaver::JobCollection::execute (this=0x984a810, t=0x91781b0) at ../../../threadweaver/Weaver/JobCollection.cpp:228
#32 0x064824ea in ThreadWeaver::ThreadRunHelper::run (this=0xad3452f4, parent=0x8b94a50, th=0x91781b0) at ../../../threadweaver/Weaver/Thread.cpp:95
#33 0x06482c3b in ThreadWeaver::Thread::run (this=0x91781b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#34 0x002a532e in ?? () from /usr/lib/libQtCore.so.4
#35 0x00e2f96e in start_thread (arg=0xad345b70) at pthread_create.c:300
#36 0x00970a0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xacb44b70 (LWP 1690)):
#0  0x008a2422 in __kernel_vsyscall ()
#1  0x00e34015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0097d99d in __pthread_cond_wait (cond=0x896a538, mutex=0x896a520) at forward.c:139
#3  0x002a48c2 in ?? () from /usr/lib/libQtCore.so.4
#4  0x002a0052 in QMutex::lock() () from /usr/lib/libQtCore.so.4
#5  0x038459ab in KDevelop::ModificationRevisionSet::needsUpdate() const () from /usr/lib/libkdevplatformlanguage.so.1
#6  0x038ee98a in KDevelop::ParsingEnvironmentFile::needsUpdate(KDevelop::ParsingEnvironment const*) const () from /usr/lib/libkdevplatformlanguage.so.1
#7  0x03c1e0c7 in Cpp::EnvironmentFile::needsUpdate(KDevelop::ParsingEnvironment const*) const () from /usr/lib/libkdev4cppduchain.so.4.0.0
#8  0x06aafc0b in ?? () from /usr/lib/kde4/kdevcpplanguagesupport.so
#9  0x06ab38f6 in ?? () from /usr/lib/kde4/kdevcpplanguagesupport.so
#10 0x06ab3af5 in ?? () from /usr/lib/kde4/kdevcpplanguagesupport.so
#11 0x06ac1dc2 in ?? () from /usr/lib/kde4/kdevcpplanguagesupport.so
#12 0x0648349d in ThreadWeaver::JobRunHelper::runTheJob (this=0xacb441ec, th=0xb422c9b0, job=0x9037ed8) at ../../../threadweaver/Weaver/Job.cpp:106
#13 0x06483801 in ThreadWeaver::Job::execute (this=0x9037ed8, th=0xb422c9b0) at ../../../threadweaver/Weaver/Job.cpp:135
#14 0x064851e3 in ThreadWeaver::JobCollectionJobRunner::execute (this=0x9093e30, t=0xb422c9b0) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#15 0x06485b58 in ThreadWeaver::JobCollection::execute (this=0x971fea8, t=0xb422c9b0) at ../../../threadweaver/Weaver/JobCollection.cpp:228
#16 0x064824ea in ThreadWeaver::ThreadRunHelper::run (this=0xacb442f4, parent=0x8b94a50, th=0xb422c9b0) at ../../../threadweaver/Weaver/Thread.cpp:95
#17 0x06482c3b in ThreadWeaver::Thread::run (this=0xb422c9b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#18 0x002a532e in ?? () from /usr/lib/libQtCore.so.4
#19 0x00e2f96e in start_thread (arg=0xacb44b70) at pthread_create.c:300
#20 0x00970a0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb78aa710 (LWP 1640)):
[KCrash Handler]
#6  0x008a2422 in __kernel_vsyscall ()
#7  0x008cd651 in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#8  0x008d0a82 in *__GI_abort () at abort.c:92
#9  0x0090449d in __libc_message (do_abort=2, fmt=0x9d8f58 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#10 0x0090e591 in malloc_printerr (action=<value optimized out>, str=0x6 <Address 0x6 out of bounds>, ptr=0x8fc4610) at malloc.c:6264
#11 0x00911710 in _int_malloc (av=<value optimized out>, bytes=<value optimized out>) at malloc.c:4306
#12 0x00912f9c in *__GI___libc_malloc (bytes=34) at malloc.c:3660
#13 0x0029fb8d in qMalloc(unsigned int) () from /usr/lib/libQtCore.so.4
#14 0x002a7849 in QByteArray::QByteArray(char const*, int) () from /usr/lib/libQtCore.so.4
#15 0x0056c907 in KConfigIniBackend::BufferFragment::toByteArray (this=0x8f3fd50, currentLocale=..., entryMap=..., options=..., merging=false) at ../../kdecore/config/bufferfragment_p.h:167
#16 KConfigIniBackend::parseConfig (this=0x8f3fd50, currentLocale=..., entryMap=..., options=..., merging=false) at ../../kdecore/config/kconfigini.cpp:242
#17 0x0056f4b6 in KConfigIniBackend::parseConfig (this=0x8f3fd50, currentLocale=..., entryMap=..., options=...) at ../../kdecore/config/kconfigini.cpp:66
#18 0x00556ccc in KConfigPrivate::parseGlobalFiles (this=0x9551e68) at ../../kdecore/config/kconfig.cpp:484
#19 0x005581d4 in KConfig::reparseConfiguration (this=0xbf8ed4c8) at ../../kdecore/config/kconfig.cpp:451
#20 0x00558f3f in KConfig (this=0xbf8ed4c8, file=..., mode=..., resourceType=0x4108b85 "config") at ../../kdecore/config/kconfig.cpp:161
#21 0x0406cbaa in KSambaShare::KSambaSharePrivate::findSmbConf (this=0x94bab70) at ../../kio/kio/ksambashare.cpp:87
#22 0x0406dc42 in KSambaShare::KSambaSharePrivate::load (this=0x94bab70) at ../../kio/kio/ksambashare.cpp:73
#23 0x0406dca1 in KSambaSharePrivate (this=0x94bab70, parent=0x94a5ef8) at ../../kio/kio/ksambashare.cpp:65
#24 0x0406dd02 in KSambaShare (this=0x94a5ef8) at ../../kio/kio/ksambashare.cpp:197
#25 0x0406de17 in operator-> () at ../../kio/kio/ksambashare.cpp:250
#26 operator KSambaShare* () at ../../kio/kio/ksambashare.cpp:250
#27 KSambaShare::instance () at ../../kio/kio/ksambashare.cpp:251
#28 0x03fdb6ef in KFileItem::overlays (this=0xb4255628) at ../../kio/kio/kfileitem.cpp:840
#29 0x03fc3dfa in KDirModel::data (this=0x9043788, index=..., role=1) at ../../kio/kio/kdirmodel.cpp:677
#30 0x016e93c8 in QSortFilterProxyModel::data(QModelIndex const&, int) const () from /usr/lib/libQtGui.so.4
#31 0x03fed6d0 in QModelIndex::data (this=0x90586a8, option=..., index=...) at /usr/include/qt4/QtCore/qabstractitemmodel.h:398
#32 KFileItemDelegate::Private::decoration (this=0x90586a8, option=..., index=...) at ../../kio/kio/kfileitemdelegate.cpp:1028
#33 0x03fee5f7 in KFileItemDelegate::Private::initStyleOption (this=0x90586a8, option=0xbf8ed8fc, index=...) at ../../kio/kio/kfileitemdelegate.cpp:815
#34 0x03fef9ce in KFileItemDelegate::sizeHint (this=0x90540e8, option=..., index=...) at ../../kio/kio/kfileitemdelegate.cpp:870
#35 0x0169c043 in QTreeView::indexRowSizeHint(QModelIndex const&) const () from /usr/lib/libQtGui.so.4
#36 0x016a3741 in QTreeView::rowsInserted(QModelIndex const&, int, int) () from /usr/lib/libQtGui.so.4
#37 0x0165b8e7 in QAbstractItemView::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
#38 0x016a998a in QTreeView::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
#39 0x01a293ca in KDirOperatorDetailView::qt_metacall (this=0x904f5b8, _c=QMetaObject::InvokeMetaMethod, _id=48, _a=0xbf8eddd0) at moc_kdiroperatordetailview_p.cpp:70
#40 0x003acc9a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#41 0x003bb3d5 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#42 0x0040bc8f in QAbstractItemModel::rowsInserted(QModelIndex const&, int, int) () from /usr/lib/libQtCore.so.4
#43 0x003a06d3 in QAbstractItemModel::endInsertRows() () from /usr/lib/libQtCore.so.4
#44 0x016ef1cd in ?? () from /usr/lib/libQtGui.so.4
#45 0x016ef707 in ?? () from /usr/lib/libQtGui.so.4
#46 0x016f0fff in ?? () from /usr/lib/libQtGui.so.4
#47 0x016f2dbf in QSortFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
#48 0x01a41a7a in KDirSortFilterProxyModel::qt_metacall (this=0x9043a70, _c=QMetaObject::InvokeMetaMethod, _id=37, _a=0xbf8ee110) at ./kdirsortfilterproxymodel.moc:68
#49 0x003acc9a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#50 0x003bb3d5 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#51 0x0040bc8f in QAbstractItemModel::rowsInserted(QModelIndex const&, int, int) () from /usr/lib/libQtCore.so.4
#52 0x003a06d3 in QAbstractItemModel::endInsertRows() () from /usr/lib/libQtCore.so.4
#53 0x03fc6eca in KDirModelPrivate::_k_slotNewItems (this=0x90433b0, directoryUrl=..., items=...) at ../../kio/kio/kdirmodel.cpp:436
#54 0x03fc9d97 in KDirModel::qt_metacall (this=0x9043788, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0xbf8ee4a4) at ./kdirmodel.moc:88
#55 0x003acc9a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#56 0x003bb3d5 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#57 0x03faa379 in KDirLister::itemsAdded (this=0x90436c0, _t1=..., _t2=...) at ./kdirlister.moc:274
#58 0x03fab576 in KDirLister::Private::emitItems (this=0x9043728) at ../../kio/kio/kdirlister.cpp:2359
#59 0x03fb7ba5 in KDirListerCache::slotUpdateResult (this=0x9031e90, j=0xb4204e38) at ../../kio/kio/kdirlister.cpp:1688
#60 0x03fbf707 in KDirListerCache::qt_metacall (this=0x9031e90, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0xbf8ee7c8) at ./kdirlister_p.moc:108
#61 0x003acc9a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#62 0x003bb3d5 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#63 0x005cb183 in KJob::result (this=0xb4204e38, _t1=0xb4204e38) at ./kjob.moc:194
#64 0x005cb4e8 in KJob::emitResult (this=0xb4204e38) at ../../kdecore/jobs/kjob.cpp:312
#65 0x03f8bf30 in KIO::SimpleJob::slotFinished (this=0xb4204e38) at ../../kio/kio/job.cpp:486
#66 0x03f8c09e in KIO::ListJob::slotFinished (this=0xb4204e38) at ../../kio/kio/job.cpp:2505
#67 0x03f9004e in KIO::ListJob::qt_metacall (this=0xb4204e38, _c=QMetaObject::InvokeMetaMethod, _id=43, _a=0xbf8eea2c) at ./jobclasses.moc:818
#68 0x003acc9a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#69 0x003bb3d5 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#70 0x04056707 in KIO::SlaveInterface::finished (this=0xb4200728) at ./slaveinterface.moc:171
#71 0x04059a2d in KIO::SlaveInterface::dispatch (this=0xb4200728, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:175
#72 0x04056bc3 in KIO::SlaveInterface::dispatch (this=0xb4200728) at ../../kio/kio/slaveinterface.cpp:91
#73 0x0404a088 in KIO::Slave::gotInput (this=0xb4200728) at ../../kio/kio/slave.cpp:324
#74 0x0404a293 in KIO::Slave::qt_metacall (this=0xb4200728, _c=QMetaObject::InvokeMetaMethod, _id=30, _a=0xbf8eed3c) at ./slave.moc:82
#75 0x003acc9a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#76 0x003bb3d5 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#77 0x03f54bd7 in KIO::Connection::readyRead (this=0xb4233f78) at ./connection.moc:92
#78 0x03f56f8e in KIO::ConnectionPrivate::dequeue (this=0xb42272d0) at ../../kio/kio/connection.cpp:82
#79 0x03f570be in KIO::Connection::qt_metacall (this=0xb4233f78, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xb4217500) at ./connection.moc:79
#80 0x003acc9a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#81 0x003b7336 in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/libQtCore.so.4
#82 0x003b83fe in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#83 0x010b74dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#84 0x010be05e in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#85 0x00c35f2a in KApplication::notify (this=0xbf8ef738, receiver=0xb4233f78, event=0xb42283b0) at ../../kdeui/kernel/kapplication.cpp:302
#86 0x003a7a3b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#87 0x003aa473 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#88 0x003aa5dd in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#89 0x003d3adf in ?? () from /usr/lib/libQtCore.so.4
#90 0x028755e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#91 0x028792d8 in ?? () from /lib/libglib-2.0.so.0
#92 0x028794b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#93 0x003d35d5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#94 0x01177135 in ?? () from /usr/lib/libQtGui.so.4
#95 0x003a6059 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#96 0x003a64aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#97 0x003aa69f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#98 0x010b7577 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#99 0x08050023 in _start ()

This bug may be a duplicate of or related to bug 234427.

Possible duplicates by query: bug 234427, bug 232041, bug 218555, bug 216620, bug 215961.

Reported using DrKonqi
Comment 1 Andreas Pakulat 2010-05-06 17:27:26 UTC
crash is somewhere in kdelibs, either in some kio-stuff or in the kfile library.
Comment 2 Andreas Pakulat 2010-05-06 17:29:56 UTC
crash is somewhere in kdelibs, either in some kio-stuff or in the kfile library.
Comment 3 Oswald Buddenhagen 2010-05-06 18:44:53 UTC
see bug 236237 comment 2.
you may assign back yourself. ;)
Comment 4 Andreas Pakulat 2010-05-06 19:25:07 UTC
(In reply to comment #3)
> see bug 236237 comment 2.
> you may assign back yourself. ;)

I'm not going to, its not kdevelop code accessing kconfig here.
Comment 5 Oswald Buddenhagen 2010-05-06 19:33:28 UTC
your logic is still faulty. by far most crashes in libraries are caused by bad application code, so do your deeds and actually analyze the problem before assigning it away from you. otherwise you can just close it right away.
Comment 6 Andreas Pakulat 2010-05-06 19:49:07 UTC
(In reply to comment #5)
> your logic is still faulty. by far most crashes in libraries are caused by bad
> application code,

My experience is different. Often enough the reason is that a library developer didn't forsee how its code could've been used or the library is not documented enough to point out that certain uses need to be avoided.

> so do your deeds and actually analyze the problem before
> assigning it away from you. otherwise you can just close it right away.

How should I? Its not crashing for me (or for any of the other developers), so the only useful thing I can do with such a bugreport is forward to someone/someplace that knows the code and could eventually add some theories as to what might go wrong.
Comment 7 Oswald Buddenhagen 2010-05-06 20:16:30 UTC
(In reply to comment #6)
> How should I?
>
first thing would be requesting a valgrind trace from the user (hello juan :). that might even help when the crash itself is not directly reproducible on request.

> forward to someone/someplace that knows the code and could eventually add
> some theories as to what might go wrong.
>
yes, you may get lucky with that. given a 100-frame backtrace which goes through roughly 7 frameworks i'm not too optimistic, though ...
in any case it makes more sense to cc instead of reassigning in such doubtful cases.
Comment 8 Christoph Feck 2010-05-09 13:24:32 UTC
The bug could be related to Samba configuration also, but I doubt that the crash is caused by KConfig. The memory corruption could be caused at any earlier time.
Comment 9 Christoph Feck 2013-09-12 21:43:50 UTC
This crash report is at least 3 years old and there were no further comments or status updates since then.

Therefore we believe that this crash is already fixed in recent KDE 4 versions or the backtrace is no longer applicable to the current KDE 4 sources.

If the crash still happens with a recent KDE version (4.10.5 or 4.11), please add an updated backtrace or provide steps to reproduce. For more information, see http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports

(To prevent automatic closing of this bug in the future, please set the bug status to ASSIGNED or CONFIRMED)
Comment 10 Andrew Crouthamel 2018-09-24 02:13:17 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 11 Andrew Crouthamel 2018-10-27 04:21:29 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 30 days. The bug is now closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!